# TP1 et TP2_servlet

```mermaid
classDiagram
    Utilisateur "*" -- "*" Session
    Session "*" -- "1" Quizz
    Quizz "1" -- "1..*" Question
    Utilisateur "1" -- "*" Quizz
    Question "1" -- "1" Reponse 
    Reponse <|-- ReponseCourte
    Reponse <|-- Choix

    class Utilisateur {
        -id : int
        -name : String
        -session : List&lt;Session&gt;
        -email : String
        -password : String
        -quizzs : String
    }
    class Session{
        -id : int
        -codePIN : int
        -quizzs : List&lt;Quizz&gt;
        -utilisateurs : List&lt;Utilisateur&gt;
        -theme : String
    }
    class Quizz{
        -session: Session
        -id : int
        -utilisateur: Utilisateur
    }
    class Reponse{
        -id : int
        -question: Question
        -reponses : ArrayList&lt;String&gt; 
    }
    class Choix{
        -choix : ArrayList&lt;String&gt;
    }
    class ReponseCourte{
        -value : String
    }
    class Question{
        -id : int
        -reponse: Reponse
    }
```

Commande pour supprimer: ```rm -rd data/*```

run : ```compile jetty:run```
